curl --request POST \
--url https://api.rallyuxr.com/api/public/v1/messages/emails/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filter": {
"operator": "AND",
"filters": [
{
"message": {
"propertyType": "SINGLE_SELECT",
"propertyName": "EMAIL_STATUS",
"operator": "IS",
"value": "DELIVERED"
}
},
{
"message": {
"propertyType": "DATETIME",
"propertyName": "SENT_AT",
"operator": "IS_WITHIN",
"value": "NUMBER_OF_DAYS_AGO",
"amount": 7
}
},
{
"person": {
"propertyType": "STRING",
"propertyName": "EMAIL",
"operator": "CONTAINS",
"value": "@example.com"
}
}
]
},
"studyId": "<string>",
"teamId": "<string>",
"userId": "<string>",
"populationId": "<string>",
"pageInfo": {
"size": 10
}
}
'import requests
url = "https://api.rallyuxr.com/api/public/v1/messages/emails/search"
payload = {
"filter": {
"operator": "AND",
"filters": [{ "message": {
"propertyType": "SINGLE_SELECT",
"propertyName": "EMAIL_STATUS",
"operator": "IS",
"value": "DELIVERED"
} }, { "message": {
"propertyType": "DATETIME",
"propertyName": "SENT_AT",
"operator": "IS_WITHIN",
"value": "NUMBER_OF_DAYS_AGO",
"amount": 7
} }, { "person": {
"propertyType": "STRING",
"propertyName": "EMAIL",
"operator": "CONTAINS",
"value": "@example.com"
} }]
},
"studyId": "<string>",
"teamId": "<string>",
"userId": "<string>",
"populationId": "<string>",
"pageInfo": { "size": 10 }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {
operator: 'AND',
filters: [
{
message: {
propertyType: 'SINGLE_SELECT',
propertyName: 'EMAIL_STATUS',
operator: 'IS',
value: 'DELIVERED'
}
},
{
message: {
propertyType: 'DATETIME',
propertyName: 'SENT_AT',
operator: 'IS_WITHIN',
value: 'NUMBER_OF_DAYS_AGO',
amount: 7
}
},
{
person: {
propertyType: 'STRING',
propertyName: 'EMAIL',
operator: 'CONTAINS',
value: '@example.com'
}
}
]
},
studyId: '<string>',
teamId: '<string>',
userId: '<string>',
populationId: '<string>',
pageInfo: {size: 10}
})
};
fetch('https://api.rallyuxr.com/api/public/v1/messages/emails/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"recipientId": "<string>",
"senderId": "<string>",
"status": "<string>",
"type": "<string>",
"sentAt": "2023-11-07T05:31:56Z",
"scheduledSendTime": "2023-11-07T05:31:56Z",
"studyId": "<string>",
"participantId": "<string>",
"messageCampaignId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"recipientEmail": "<string>",
"senderEmail": "<string>",
"subject": "<string>"
}
],
"total": 123,
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "<string>",
"endCursor": "<string>"
}
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}"Unauthorized""Forbidden""Too Many Requests""Internal Server Error"Search for emails
Search for email in your workspace using advanced filters. Supports filtering by email properties including ID, recipient, sender, status, type, subject, dates, and related entities (study, panel, participant, campaigns, teams, populations). Filters can be combined using AND/OR logic operators for complex queries.
Required permissions:
- View emails
- Access All People directory
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Search for messages
Filter options to search for messages. Supports person, incentive, participant, and message property filters.
Show child attributes
Show child attributes
{
"operator": "AND",
"filters": [
{
"message": {
"propertyType": "SINGLE_SELECT",
"propertyName": "EMAIL_STATUS",
"operator": "IS",
"value": "DELIVERED"
}
},
{
"message": {
"propertyType": "DATETIME",
"propertyName": "SENT_AT",
"operator": "IS_WITHIN",
"value": "NUMBER_OF_DAYS_AGO",
"amount": 7
}
},
{
"person": {
"propertyType": "STRING",
"propertyName": "EMAIL",
"operator": "CONTAINS",
"value": "@example.com"
}
}
]
}Filter messages by study ID
Filter messages by team ID
Filter messages by sender user ID
Filter messages by population ID
Pagination arguments. Use startCursor from the result of the endCursor of the response to get the next page. Pagination in reverse is not currently supported
Show child attributes
Show child attributes
{ "size": 10 }